<?php
include "../session.php"; 

include "conect.php";

$clienteCod = $_POST['codeConsult'];
$codigoRespuesta = $_POST['codigoRespuesta'];
$mensajeRespuesta = $_POST['mensajeRespuesta'];
$empleadoID = $_POST['empleadoID'];
$codigo = $_POST['codigo'];
$nombres = $_POST['nombres'];
$apellidos = $_POST['apellidos'];
$extra1 = $_POST['extra1'];
$extra2 = $_POST['extra2'];
$nombreCompleto= $nombres . ' ' . $apellidos;


date_default_timezone_set('America/Guatemala');
$date = date("Y-m-d");
$hora = date('h:i:s');

$consulta = mysqli_query($con, "SELECT * FROM asociados WHERE (BARCODE = '$codigo' OR CODIGO = '$codigo')");
$conteo = mysqli_num_rows($consulta);

if ($conteo > 0) {
    while ($row3 = mysqli_fetch_array($consulta)) {
        $user = $row3['NAME'];
        $codigo = $row3['CODIGO'];
        $barcode = $row3['BARCODE'];
        $statusConsult = $row3['STATUS'];
    }
    
    if ($statusConsult === null || $statusConsult !== "activo" && $codigoRespuesta == 1) {


        if (actualizarRegistro($con, $codigo, $nombres, $apellidos)) {
            $consultaActualizacion = consultarAsociado($con, $clienteCod, $codigo);
            $conteoGuardado = mysqli_num_rows($consultaActualizacion);
            
            if ($conteoGuardado > 0) {
                while ($rowActualizado = mysqli_fetch_array($consultaActualizacion)) {
                    $user = $rowActualizado['NAME'];
                    $codigo = $rowActualizado['CODIGO'];
                    $barcode = $rowActualizado['BARCODE'];
                    $statusConsult = $rowActualizado['STATUS'];
                    // Realizar operaciones con los datos guardados
                }
        
                if ($statusConsult == "activo" && $codigoRespuesta == 1) {
                    generateCodeSuccessAsoc($con, $user, $codigo, $barcode, $statusConsult);
                } else {
                    echoError();
                }
            }
        } else {
            echoError();
        }
    } else if ($statusConsult == "activo" && $codigoRespuesta == 1) {
        // Ya está actualizado
        if (consultarAsociadoNombre($con, $clienteCod, $codigo, $nombreCompleto)){
            $consultaActName = consultarAsociadoNombre($con, $clienteCod, $codigo, $nombreCompleto);
            $conteoGuardadoActName = mysqli_num_rows($consultaActName);

            if ($conteoGuardadoActName > 0){
            }

            else{

                actualizarRegistro($con, $codigo, $nombreCompleto);

            }
            

        }
        
        generateCodeSuccessAsoc($con, $user, $codigo, $barcode, $statusConsult);
    }
} else if ($conteo == 0) {
    $valorNombre = $nombres . ' ' . $apellidos;
    $valorCodigo = $codigo;
    $registro = guardarAsociado($con, $valorNombre, $valorCodigo);
    
    if ($registro) {
        $consultaGuardada = consultarAsociado($con, $clienteCod, $codigo);
        $conteoGuardado = mysqli_num_rows($consultaGuardada);
        
        if ($conteoGuardado > 0) {
            while ($rowGuardado = mysqli_fetch_array($consultaGuardada)) {
                $user = $rowGuardado['NAME'];
                $codigo = $rowGuardado['CODIGO'];
                $barcode = $rowGuardado['BARCODE'];
                $statusConsult = $rowGuardado['STATUS'];
                // Realizar operaciones con los datos guardados
            }
            
            if ($statusConsult == "activo" && $codigoRespuesta == 1) {
                generateCodeSuccessAsoc($con, $user, $codigo, $barcode, $statusConsult);
            }
        }
    }
}

function actualizarRegistro($con, $codigo, $nombreCompleto) {
    $actualizacion = mysqli_query($con, "UPDATE asociados SET STATUS = 'activo' NAME = '$nombreCompleto' WHERE CODIGO = '$codigo'");
    return $actualizacion;
}

function consultarAsociado($con, $clienteCod, $codigo) {
    return mysqli_query($con, "SELECT * FROM asociados WHERE (BARCODE = '$clienteCod' OR CODIGO = '$clienteCod')");
}

function guardarAsociado($con, $valorNombre, $codigo) {
    return mysqli_query($con, "INSERT INTO asociados (NAME, CODIGO, STATUS) VALUES('$valorNombre', '$codigo', 'activo')");
}

function generateCodeSuccessAsoc($con, $user, $codigo, $barcode, $statusConsult) {
    ?>
    <div class="clientConsult">
        <label><h2><?php echo $user; ?></h2></label></br>
        <label>Cod. <b><?php echo $codigo; ?></b></label></br>

        <label><?php echo $barcode; ?></label>

        <br>
        <center>
            <form method="post" onsubmit="return false" id="datosConsultados">
                <input id="usuarioConsultado" type="hidden" name="" value="<?php echo $user; ?>">
                <input id="codigoConsultado" type="hidden" name="" value="<?php echo $codigo; ?>">
                <input id="barcodeConsultado" type="hidden" name="" value="<?php echo $barcode; ?>">
                <input id="statusConsultado" type="hidden" name="" value="<?php echo $statusConsult; ?>">
            
                <?php 
                $consultaProducts = mysqli_query($con, "SELECT * FROM producto WHERE STATUS=true");
                $conteoProducts   = mysqli_num_rows($consultaProducts);

                if ($conteoProducts>0) {
                    while ($rowProd = mysqli_fetch_array($consultaProducts)) {
                        $codProduct  = $rowProd['COD_TIPO'];
                        $nameProduct = $rowProd['NOMBRE'];
                        $tipoProduct = $rowProd['TIPO'];
                        $catProduct = $rowProd['CAT_PROD'];
                        $id = $rowProd['ID'];

                        ?>
                        <button onclick="pedido(<?php echo ("'".$codProduct."'"); ?>)" id="iniciarPedido" class="boton_general" value="<?php echo $codProduct; ?>"><?php echo ($catProduct."<br>".$tipoProduct); ?></button>
                        <?php                   
                    }
                    mysqli_close($con);
                } else {
                    echo "No se han encontrado productos";
                };
                ?>
            </form>
        </center>
    </div>
    <?php



function consultarAsociadoNombre($con, $clienteCod, $codigo, $nombreCompleto) {
    return mysqli_query($con, "SELECT * FROM asociados WHERE (BARCODE = '$clienteCod' OR CODIGO = '$codigo') and NAME=='$nombreCompleto'");

}
}

function echoError() {
    echo 1;
}

?>
